# Manual do Utilizador KDE

2010-10-06
Ambiente de Trabalho K
plasmaengineexplorer
1

# `plasmaengineexplorer`

Oferece o acesso directo aos motores de dados do Plasma

    plasmaengineexplorer --height  pixels --width  pixels -x  pixels -y  pixels --engine motor de dados --source motor de dados --interval  ms

    plasmaengineexplorer Opções Genéricas do KDE Opções Genéricas do Qt

## Descrição

O `plasmaengineexplorer` é uma ferramenta gráfica que permite aos programadores testarem os motores de dados do Plasma, sem criarem uma 'applet' do Plasma.

Se não forem indicadas opções, este será iniciado sem nenhum motor de dados seleccionado. O motor de dados desejado pode ser seleccionado numa lista.

Só serão encontrados os motores de dados instalados. O `kbuildsycoca4` poderá ter de ser executado para descobrir os motores de dados acabados de instalar.

## Opções

`--list pixels`

  Mostra uma lista com os motores conhecidos e as suas respectivas descrições.

`--height`

  Altera a altura da janela, em pixels.

`--width pixels`

  Altera a largura da janela, em pixels.

`-x pixels`

  Altera a coordenada em X (horizontal) do canto superior da janela, em pixels.

`-y pixels`

  Altera a coordenada em Y (vertical) do canto superior da janela, em pixels.

`--engine motor de dados`

  Inicia o `plasmaengineexplorer`, tendo seleccionado o motor de dados indicado. O `motor de dados` é o nome interno do motor de dados, como é definido no campo 'X-KDE-PluginInfo-Name' do ficheiro 'desktop'.

`--source motor de dados`

  Só é válido em conjunto com o `--engine`. Necessita de uma fonte específica do motor de dados, quando é iniciado o `plasmaengineexplorer`.

`--interval tempo`

  Define o intervalo de actualização por omissão das fontes pedidas como sendo `tempo` milisegundos. Caso não seja definido, a fonte será actualizada a pedido (para algumas fontes, será quando estiverem disponíveis dados novos).

  Caso indique o `--source`, este é o intervalo de actualização que será usado ao pedir essa fonte.

`--app aplicação`

  Mostrar apenas os motores associados à aplicação-mãe; baseia-se no item 'X-KDE-ParentApp' do ficheiro '.desktop' do motor de dados.

## Veja Também

Existe mais documentação do utilizador disponível em help:/plasma-desktop (quer através deste URL no &konqueror;, quer através do comando ``khelpcenter` `help:/plasma-desktop``).

## Exemplos

Carrega o motor de dados de horas, mostrando a hora local actualizada a cada segundo:

    plasmaengineexplorer --engine time --source Local --interval 1000

## Autores

O `plasmaengineexplorer` foi criado por Aaron Seigo aseigo@kde.org.